# _FD_s Struct Reference
[RPMIO.]

The FD_t File Handle data structure. More...

`#include <rpmio_internal.h>`

## Data Fields

int | nrefs
int | flags
int | magic
int | nfps
FDSTACK_t | fps [8]
int | urlType
void * | url
int | rd_timeoutsecs
ssize_t | bytesRemain
ssize_t | contentLength
int | persist
int | wr_chunked
int | syserrno
const void * | errcookie
FDSTAT_t | stats
int | ndigests
struct _FDDIGEST_s | digests [FDDIGEST_MAX]
int | ftpFileDoneNeeded
unsigned int | firstFree
long int | fileSize
long int | fd_cpioPos

## Detailed Description

The FD_t File Handle data structure.

Definition at line 111 of file rpmio_internal.h.

## Field Documentation

ssize_t _FD_s::bytesRemain

Definition at line 124 of file rpmio_internal.h.

ssize_t _FD_s::contentLength

Definition at line 125 of file rpmio_internal.h.

struct _FDDIGEST_s _FD_s::digests[FDDIGEST_MAX]

Definition at line 136 of file rpmio_internal.h.

const void* _FD_s::errcookie

Definition at line 130 of file rpmio_internal.h.

long int _FD_s::fd_cpioPos

Definition at line 141 of file rpmio_internal.h.

long int _FD_s::fileSize

Definition at line 140 of file rpmio_internal.h.

unsigned int _FD_s::firstFree

Definition at line 139 of file rpmio_internal.h.

int _FD_s::flags

Definition at line 113 of file rpmio_internal.h.

FDSTACK_t _FD_s::fps[8]

Definition at line 119 of file rpmio_internal.h.

int _FD_s::ftpFileDoneNeeded

Definition at line 138 of file rpmio_internal.h.

int _FD_s::magic

Definition at line 116 of file rpmio_internal.h.

int _FD_s::ndigests

Definition at line 134 of file rpmio_internal.h.

int _FD_s::nfps

Definition at line 118 of file rpmio_internal.h.

int _FD_s::nrefs

Definition at line 112 of file rpmio_internal.h.

int _FD_s::persist

Definition at line 126 of file rpmio_internal.h.

int _FD_s::rd_timeoutsecs

Definition at line 123 of file rpmio_internal.h.

FDSTAT_t _FD_s::stats

Definition at line 132 of file rpmio_internal.h.

int _FD_s::syserrno

Definition at line 129 of file rpmio_internal.h.

void* _FD_s::url

Definition at line 122 of file rpmio_internal.h.

int _FD_s::urlType

Definition at line 120 of file rpmio_internal.h.

int _FD_s::wr_chunked

Definition at line 127 of file rpmio_internal.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmio_internal.h